function updateNotificationDate(row) {
  output = {state:"init", debug:{}, error:{}}
  try {
    var student_progress_sheet = SpreadsheetApp.openById(SHEET_ID).getSheetByName(
      SHEET_STUDENT_PROGRESS
    );
    var notification_date_cell = getCell(student_progress_sheet, row, COL_STUDENT_PROGRESS_NOTIFICATION_DATE)
     writeCell(notification_date_cell, getChineseDayString().replace(/ /g,''))
    
  } catch (error) {
    output = {...output, error}
    console.log('updateNotificationDate error')
    console.log(output)
  }
}
